KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSycocaEntry Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

Base class for all Sycoca entries.

You can't create an instance of KSycocaEntry, but it provides the common functionality for servicetypes and services.

Internal:

See also:
  http://techbase.kde.org/Development/Architecture/KDE3/System_Configuration_Cache

## Methods
| __init__ (self)
| __init__ (self, KSycocaEntry other)
QString | entryPath (self)
bool | isDeleted (self)
bool | isSeparator (self)
bool | isType (self, KSycocaType t)
bool | isValid (self)
QString | name (self)
int | offset (self)
QVariant | property (self, QString name)
QStringList | propertyNames (self)
| save (self, QDataStream s)
| setDeleted (self, bool deleted)
QString | storageId (self)
KSycocaType | sycocaType (self)
## Static Methods
| read (QDataStream s, QString str)
| read (QDataStream s, QStringList list)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KSycocaEntry | other
| ) |  |  |

QString entryPath | ( |  | self ) |

Returns:
  the path of this entry The path can be absolute or relative. The corresponding factory should know relative to what.

bool isDeleted | ( |  | self ) |

Returns:
  true if deleted

bool isSeparator | ( |  | self ) |

bool isType | ( | self, |
|  | KSycocaType | t
| ) |  |  |

internal

bool isValid | ( |  | self ) |

Returns:
  true if valid

QString name | ( |  | self ) |

Returns:
  the name of this entry

int offset | ( |  | self ) |

Internal:

Returns:
  the position of the entry in the sycoca file

QVariant property | ( | self, |
|  | QString | name
| ) |  |  |

Returns the requested property. Some often used properties have convenience access functions like exec(), serviceTypes etc.

Parameters:

  | name | the name of the property

Returns:
  the property, or invalid if not found

QStringList propertyNames | ( |  | self ) |

Returns the list of all properties that this service can have. That means, that some of these properties may be empty.

Returns:
  the list of supported properties

save | ( | self, |
|  | QDataStream | s
| ) |  |  |

Internal:
  Save ourselves to the database.

setDeleted | ( | self, |
|  | bool | deleted
| ) |  |  |

Sets whether or not this service is deleted

QString storageId | ( |  | self ) |

Returns:
  the unique ID for this entry In practice, this is storageId() for KService and name() for everything else.

Since:
  4.2.1

KSycocaType sycocaType | ( |  | self ) |

internal

## Static Method Documentation

read | ( | QDataStream | s,
|  | QString | str
| ) |  |  |

Safe demarshalling functions.

read | ( | QDataStream | s,
|  | QStringList | list
| ) |  |  |

Safe demarshalling functions.